/*
 * Can_dummy.h
 *
 *  Created on: Nov 6, 2012
 *      Author: a0132081
 */

#ifndef CAN_DUMMY_H_
#define CAN_DUMMY_H_


//void CanIf_ControllerBusOff(uint8 Controller);
//void CanIf_RxIndication(uint8 Hrh, Can_IdType CanId,uint8 CanDlc, const uint8 *CanSduPtr1);
//void CanIf_TxConfirmation(PduIdType CanTxPduId);
//void CanIf_ControllerModeIndication( uint8 ControllerId, CanIf_ControllerModeType ControllerMode );
void  SchM_Enter_Can(unsigned  int y);
void   SchM_Exit_Can(unsigned int x);
void SchM_Enter_Port(int x);
void SchM_Exit_Port(int y);

extern boolean bCanBusOff;
extern uint8 CanRxData[8];

#define CAN_UNIT_TEST 1U

#endif /* CAN_DUMMY_H_ */
